#
#
#
class plnxtools::apacheds(
	$ads_shutdown_port = 0,
	$appname = "apacheds"
	$ads_instances = "/var/apacheds",
	$ads_logdir = "/var/log/$appname",

	$java_home = $plnxtools::java_home
)
inherits ::plnxtools
{
	$ads_home = "$opt_dir/$appname"

	package {"openldap-client":
		ensure => installed
	} 

	plnxtools::install{$appname:
		sourcedir => "https://downloads.apache.org/directory/apacheds/dist/2.0.0.AM26",
		distfile => "apacheds-2.0.0.AM26.tar.gz",
		dirname => "apacheds-2.0.0.AM26",
		require => Class['::plnxtools'],
	}->
	file {"$opt_dir/$appname/bin/setenv.sh":
		ensure => file,
		content => template("plnxtools/apacheds/setenv.sh.erb"),
	}->
	file {"$ads_instances":
		ensure => directory
	}
	file {"$ads_logdir":
		ensure => directory
	}
}


define plnxtools::apacheds::instance(
	$ensure = running 

) {
	service {$title:
		start => "$plnxtools::apacheds::$opt_dir/$plnxtools::apacheds::$appname/bin/apachds.sh $title start"
	}
}
